# Filter provides from python library.
%{?filter_setup:
%filter_provides_in %{python_sitearch}.*\.so$
%filter_setup
}

Name:           python-osmgpsmap
Version:        0.7.3
Release:        6%{?dist}
Summary:        Python bindings for osm-gps-map GTK+ widget

Group:          Development/Languages
License:        GPLv2
URL:            http://nzjrs.github.com/osm-gps-map/
Source0:        http://www.johnstowers.co.nz/files/osm-gps-map/%{name}-%{version}.tar.gz

BuildRequires:  osm-gps-map-devel
BuildRequires:  python-devel
BuildRequires:  pygobject2-devel
BuildRequires:  pygtk2-devel


%description
Python bindings for a GTK+ widget that when given GPS co-ordinates,
draws a GPS track, and points of interest on a moving map
display. Downloads map data from a number of websites, including
openstreetmap.org.


%prep
%setup -q


%build
CFLAGS="%{optflags}" %{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
 

%files
%doc AUTHORS ChangeLog COPYING NEWS
%{python_sitearch}/osmgpsmap.so
%{python_sitearch}/python_osmgpsmap-%{version}-py*.egg-info


%changelog
* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Sep  9 2011 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.7.3-5
- Drop README (only contains information on installing)

* Wed Sep 07 2011 Richard Shaw <hobbes1069@gmail.com> - 0.7.3-4
- Updated license in spec file to GPLv2.
- Update Source url in spec file to use %%{name} where appropriate.
- Added ChangeLog NEWS and README to package documentation.

* Sat Jul  2 2011 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.7.3-3
- Filter private shared library provides
- use setup rather than setup0
- drop defattr
- Drop buildroot
- Drop clean section
- Use name of library rather than wildcard
- Add COPYING file to doc

* Wed May 11 2011 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.7.3-2
- Add missing BRs

* Tue May  3 2011 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.7.3-1
- First version for Fedora

